<div class="container-pSeguridad">
  <h3 class="h3-style">Acceso y seguridad</h3>
  <div class="cambiar_correo">
    <div class="dato_correo">
      <label for="correo">Correo electrónico</label>
      <span *ngIf="!validacionCorreo; else editarCorreo">{{usuario.Email}}</span>
      <ng-template #editarCorreo>
        <input type="text" class="inpt_secon" id="correo" [(ngModel)]="usuario.Email">
      </ng-template>
    </div>

    <button *ngIf="!validacionCorreo" class="btn btn-secondary-1" (click)="validacionCorreo = true">cambiar</button>
    <button *ngIf="validacionCorreo" class="btn btn-secondary-1" (click)="actualizarCorreo()">guardar</button>
  </div>

  <p-divider></p-divider>

  <div class="cambiar_contrasenia">
    <div class="dato_contrasenia">
      <label for="password">Contraseña</label>
      <div class="verificar-texto" *ngIf="!nuevaContrasenia; else nuevoInput">
        <p *ngIf="!cambiarContrasenia; else verificarContrasenia">Realizar cambios periódicos de la contraseña ayuda a
          que sea más difícil de que sea vulnerada.</p>
        <ng-template #verificarContrasenia>
          <div class="validarContrasenia">
            <input type="password" class="inpt_secon" placeholder="Ingre su contraseña actual" [(ngModel)]="contrasenia"
              (input)="validarContrasenia()">
            <button class="btn btn-primary-1" (click)="validarContrasenia()">comprobar</button>
          </div>
        </ng-template>
      </div>

      <ng-template #nuevoInput>
        <input type="password" class="inpt_secon" [(ngModel)]="nuevaContraseniaText" placeholder="Ingrese una nueva contraseña"
          (input)="validarSeguridadContrasenia(nuevaContraseniaText)">
        <span class="nivelSeguridad">Seguridad: <strong>{{ nivelSeguridad }}</strong></span>
        <div class="progress-bar" [style.--width]="progressBarWidth + '%'" [style.--color-progress]="colorProgressBar">
        </div>
      </ng-template>

      <div class="seguridad" *ngIf="nuevaContrasenia">
        <label for="rePass">Repita la contraseña</label>
        <input type="password" class="inpt_secon" [(ngModel)]="repetirNuevaContraseniaText" placeholder="Repita la contraseña">
      </div>
      <p>Nota: Después de cambiar tu contraseña deberás volver a iniciar sesión.</p>
    </div>

    <div class="button-sugerencia" #buttonSugerencia>
      <div class="sugerencia" *ngIf="nuevaContrasenia">
        <label>Sugerencia</label>
        <ul>
          <li>1. Mínimo 8 caracteres.</li>
          <li>2. Al menos una minúscula</li>
          <li>3. Al menos una mayuscula</li>
          <li>4. Incluir un número</li>
          <li>5. Agregar caracteres espciales (&#64;, /, #, etc.).</li>
        </ul>
      </div>

      <button *ngIf="!cambiarContrasenia" class="btn btn-secondary-1"
        (click)="cambiarContrasenia = true">Cambiar</button>
      <button *ngIf="nuevaContrasenia" class="btn btn-secondary-1" (click)="actualizarContrasenia()">Actualizar</button>
    </div>
  </div>

  <p-divider></p-divider>

  <!-- <div class="eliminarCuenta">
    <label>Eliminar tu cuenta</label>
    <p><strong>Advertencia: </strong> Si eliminas tu cuenta ya no podrás acceder a la página de CAMEBOL.</p>
    <button class="btn btn-primary-1" (click)="eliminarCuenta = true">Eliminar cuenta</button>
  </div> -->
</div>

<!-- Dialogs -->
<!-- <div class="dialog-container-general">
  <p-dialog header="Eliminar cuenta" [(visible)]="eliminarCuenta" [style]="{width: '500px'}" [modal]="true"
    class="modal-container">
    <div class="container-eliminar">
      <div class="icono">
        <i class="uil uil-exclamation-triangle"></i>
      </div>
      <div class="advertencia-confirmar">
        <p><strong>Advertencia: </strong> Si estas seguro de eliminar tu cuenta, escribe lo siguiente en el cuadro de
          confirmación: <strong>ELIMINAR MI CUENTA.</strong></p>
        <input type="text" class="inpt_secon" [(ngModel)]="confirmacionEliminar">
      </div>
    </div>

    <div class="containerActions">
      <button class="btn btn-primary-1 ingresar" (click)="confirmacionEliminarCuenta()">ELIMINAR</button>
    </div>
  </p-dialog>
</div> -->

<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="mensaje"></app-loading-overlay>
